<template>
	<view class="nodata" :style="'padding-top:'+padtop+'rpx'">
		<image :src="noiconpimg"></image>
		<view>{{notxt}}</view>
	</view>
</template>

<script>
	export default{
		props:{
			notxt:{
				type: String,
				default () {
					return '暂无数据'
				}
			},
			padtop:{
				type: Number,
				default () {
					return 200
				}
			}
		},
		data(){
			return{
				noiconpimg:require("@/static/images/noiconp.png"),
			}
		}
	}
</script>

<style lang="scss" scoped>
// 无数据
.nodata{
	display: flex;flex-direction: column;align-items: center;box-sizing: border-box;
	image{width: 456rpx;height: 178rpx;margin-bottom: 28rpx;}
	view{font-size: 30rpx;color: #AAAAAA;font-weight: bold;}
}	
</style>